
Foreman - Bug #13369

Long parameter names are truncated and overriden together

01/26/2016 03:54 AM - Jeff Sault

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Parameters   

Target version: 1.10.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3181

  

Description

Class parameters with names longer than 17 characters are truncated in the host edit page. If you have multiple parameters with

similar names that are truncated to the same string then when you override one of the parameters, all of them are overridden.

Example screenshot attached, I clicked the "override" button once and it has overridden 11 parameters

Associated revisions

Revision e81cef4c - 02/17/2016 10:31 AM - Ori Rabin

Fixes #13369 - Override correct long name parameter

History

#1 - 01/26/2016 03:59 AM - Jeff Sault

Correction, the parameter names are truncated to 20 chars (_puppetclass_parameter.html.erb)

#2 - 01/26/2016 04:03 AM - Dominic Cleal

- Category set to Parameters

- translation missing: en.field_release set to 123

#3 - 02/14/2016 10:24 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ori Rabin

- Pull request https://github.com/theforeman/foreman/pull/3181 added

#4 - 02/23/2016 06:05 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

Fixed on 1.10-stable directly in https://github.com/theforeman/foreman/commit/e81cef4c2d5235210d9afef373ef882685b8569d, not applicable for

develop as the refactoring in #11458 also fixed it there.
